<script setup lang="ts">
import { ref, reactive } from "vue";

const inputDialog = ref<any>(false);

//表单所用到的数据绑定
//公司名称
const name = ref<string>("");
//税务编号
const swNum = ref<string>("");
//测试类型--渠道测试的话值为1
//--个人测试的话值为2
const type = ref<string>("1");
const dialogInputConfirm = () => {
  //判断单位是否为空
  if (name.value == "") {
    uni.showToast({
      title: "单位不能为空",
      icon: "none",
    });
    return;
  }
  //判断单位税号是不是为空
  if (swNum.value == "") {
    uni.showToast({
      title: "税号不能为空",
      icon: "none",
    });
    return;
  }
  //如果都填写了则判断跳转到另一个页面
  inputDialog.value.close();
  //跳转到页面  输入信息去查询页面
  //需要跳转到信息输入界面
  uni.navigateTo({
    url: `/pages/login/login?name=${name.value}&swNum=${swNum.value}&type=${type.value}`,
  });
};

//打开输入税号的弹出框
const openSH = () => {
  name.value = "";
  swNum.value = "";
  inputDialog.value.open("center");
};

//关闭税务弹出框
const closeSW = () => {
  inputDialog.value.close();
};

//导出方法专供父组件调用
defineExpose({ openSH });
</script>
<template>
  <view>
    <view>
      <!-- 输入框示例 -->
      <uni-popup ref="inputDialog" type="dialog" :mask-click="false">
        <uni-popup-dialog
          :before-close="false"
          ref="inputClose"
          mode="input"
          title="输入内容"
          value="对话框预置提示内容!"
          placeholder="请输入内容"
          @close="closeSW"
          @confirm="dialogInputConfirm"
        >
          <view class="form_out">
            <view class="form_out_name">
              <uni-easyinput
                v-model="name"
                :clearable="false"
                type="text"
                style="margin-bottom: 30rpx"
                placeholder="请输入检测单位名称"
            /></view>
            <view>
              <uni-easyinput
                v-model="swNum"
                :clearable="false"
                type="text"
                placeholder="请输入检测单位的税号"
              />
            </view>
            <view class="form_tip"
              >请检查税号是否正确，输入错误无法获取报告请联系客服</view
            >
          </view>
        </uni-popup-dialog>
      </uni-popup>
    </view>
  </view>
</template>
<style lang="scss" scoped>
.form_out {
  width: 100%;
  .form_out_name {
    margin-bottom: 20rpx;
  }
  .form_tip {
    margin-top: 10rpx;
    font-size: 20rpx;
    color: #000000;
    opacity: 0.4;
  }
}
</style>
